Package kiyut.sketsa.canvas.tool.point

## Class PointShape

- java.lang.Object
- - java.awt.geom.Point2D
  - - java.awt.geom.Point2D.Double
    - - kiyut.sketsa.canvas.tool.point.PointShape

- All Implemented Interfaces:
    `Shape`, `Serializable`, `Cloneable`

      public class PointShape
      extends Point2D.Double
      implements Shape

  Provides Point in Shape geometry. This is the point handle
  Author:
    KIYUT
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.geom.Point2D

      `Point2D.Double, Point2D.Float`

  - ### Field Summary

    - ### Fields inherited from class java.awt.geom.Point2D.Double

      `x, y`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PointShape()` | Creates a new instance of PointShape
    `PointShape​(double x, double y, double size)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `contains​(double x, double y)` |
    `boolean` | `contains​(double x, double y, double w, double h)` |
    `boolean` | `contains​(Point2D p)` |
    `boolean` | `contains​(Rectangle2D r)` |
    `Rectangle` | `getBounds()` |
    `Rectangle2D` | `getBounds2D()` |
    `PathIterator` | `getPathIterator​(AffineTransform at)` |
    `PathIterator` | `getPathIterator​(AffineTransform at, double flatness)` |
    `double` | `getX()` |
    `double` | `getY()` |
    `boolean` | `intersects​(double x, double y, double w, double h)` |
    `boolean` | `intersects​(Rectangle2D r)` |
    `void` | `setLocation​(double x, double y)` |

    - ### Methods inherited from class java.awt.geom.Point2D.Double

      `toString`

    - ### Methods inherited from class java.awt.geom.Point2D

      `clone, distance, distance, distance, distanceSq, distanceSq, distanceSq, equals, hashCode, setLocation`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PointShape

          public PointShape()

      Creates a new instance of PointShape

    - #### PointShape

          public PointShape​(double x,
                            double y,
                            double size)

  - ### Method Detail

    - #### getX

          public double getX()

      Overrides:
        `getX` in class `Point2D.Double`

    - #### getY

          public double getY()

      Overrides:
        `getY` in class `Point2D.Double`

    - #### setLocation

          public void setLocation​(double x,
                                  double y)

      Overrides:
        `setLocation` in class `Point2D.Double`

    - #### contains

          public boolean contains​(Rectangle2D r)

      Specified by:
        `contains` in interface `Shape`

    - #### contains

          public boolean contains​(Point2D p)

      Specified by:
        `contains` in interface `Shape`

    - #### contains

          public boolean contains​(double x,
                                  double y)

      Specified by:
        `contains` in interface `Shape`

    - #### contains

          public boolean contains​(double x,
                                  double y,
                                  double w,
                                  double h)

      Specified by:
        `contains` in interface `Shape`

    - #### getBounds

          public Rectangle getBounds()

      Specified by:
        `getBounds` in interface `Shape`

    - #### getBounds2D

          public Rectangle2D getBounds2D()

      Specified by:
        `getBounds2D` in interface `Shape`

    - #### getPathIterator

          public PathIterator getPathIterator​(AffineTransform at)

      Specified by:
        `getPathIterator` in interface `Shape`

    - #### getPathIterator

          public PathIterator getPathIterator​(AffineTransform at,
                                              double flatness)

      Specified by:
        `getPathIterator` in interface `Shape`

    - #### intersects

          public boolean intersects​(Rectangle2D r)

      Specified by:
        `intersects` in interface `Shape`

    - #### intersects

          public boolean intersects​(double x,
                                    double y,
                                    double w,
                                    double h)

      Specified by:
        `intersects` in interface `Shape`